BindingIteratorHelper (Java SE 10 & JDK 10 )
Keywords: org.omg.CosNaming.BindingIteratorHelper class

Module java.corba
Package org.omg.CosNaming

## Class BindingIteratorHelper

- java.lang.Object
- - org.omg.CosNaming.BindingIteratorHelper

-     public abstract class BindingIteratorHelper
      extends Object

  The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.
  See Also:
    `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindingIteratorHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BindingIterator` | `extract​(Any a)` |
    `static String` | `id()` |
    `static void` | `insert​(Any a, BindingIterator that)` |
    `static BindingIterator` | `narrow​(Object obj)` |
    `static BindingIterator` | `read​(InputStream istream)` |
    `static TypeCode` | `type()` |
    `static BindingIterator` | `unchecked_narrow​(Object obj)` |
    `static void` | `write​(OutputStream ostream, BindingIterator value)` |

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingIteratorHelper

          public BindingIteratorHelper()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    BindingIterator that)

    - #### extract

          public static BindingIterator extract​(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static BindingIterator read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   BindingIterator value)

    - #### narrow

          public static BindingIterator narrow​(Object obj)

    - #### unchecked_narrow

          public static BindingIterator unchecked_narrow​(Object obj)